Bug 92048 - httpd making crash the php output for the use of default charset utf-8
httpd making crash the php output for the use of default charset utf-8
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: httpd (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-01 22:46 EDT by Need Real Name
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-02 11:11:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-06-01 22:46:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; es-ES; rv:1.2.1) Gecko/20030225

Description of problem:
Hi RedHat:
I'm testing the httpd-2.0.45-9 and php-4.3.2-2 from Rawhide for a evaluation for
us on RedHat 9.0, as you know httpd-2.0.45-9 now use the directive
AddDefaultCharset UTF-8, this is making that all the script programmed in php
fails their output in rendering the page in the browser if they have a word with
acent, for example in the spanish language, if you revert the setting to
AddDefaultCharset ISO-8859-1, then everything works ok again, I tested to change
php.ini settings to UTF-8 but everything was the same, I tested too, put in the
content page of html page set UTF-8 but nothing, so or is a php problem with
httpd in utf-8 or is a httpd problem. The workarounf is set AddDefaultCharset
ISO-8859-1 in apache.
                                 Regards Aliet

Version-Release number of selected component (if applicable):
httpd-2.0.45-9

How reproducible:
Always

Steps to Reproduce:
1. install httpd-2.0.45-9
2. install php-4.3.2-2
3. execute a php script wich has some output with words with acent, example
spanish words.
    

Actual Results:  The output of the page is a desaster

Expected Results:  Hey come on a nice render of the page

Additional info:
Comment 1 Joe Orton 2003-06-02 11:11:09 EDT
Yes, if you wish to use non-UTF-8 content, you must configure the server
appropriately.  The system-wide default is UTF-8 file content, this is
now reflected in the default httpd.conf.

Note You need to log in before you can comment on or make changes to this bug.